***************************************************************************************
* 
*   MBOXSAMP.PRG
*
*   Program demonstrating sample calls of msgbox() / messagebox().
*
*   Michael E. Beane, August 1995
*
***************************************************************************************



***************************************************************************************
*   Setup
***************************************************************************************

PRIVATE m.lnChoice

***************************************************************************************
* #DEFINE statements for msgbox() parameter and return values
*
* In Visual FoxPro, these are defined in FOXPRO.H.
* In FoxPro for Windows 2.x, you must copy these #DEFINE statements into every
* program in which they will be used.
*
***************************************************************************************
* Dialog box types
#DEFINE MB_OK                 0
#DEFINE MB_OKCANCEL           1
#DEFINE MB_ABORTRETRYIGNORE   2
#DEFINE MB_YESNOCANCEL        3
#DEFINE MB_YESNO              4
#DEFINE MB_RETRYCANCEL        5

#DEFINE MB_ICONHAND          16
#DEFINE MB_ICONSTOP          16
#DEFINE MB_ICONQUESTION      32
#DEFINE MB_ICONEXCLAMATION   48
#DEFINE MB_ICONASTERISK      64
#DEFINE MB_ICONINFORMATION   64

#DEFINE MB_1DEFBUTTON         0
#DEFINE MB_2DEFBUTTON       256
#DEFINE MB_3DEFBUTTON       512

#DEFINE MB_APPLMODAL          0 
#DEFINE MB_SYSTEMMODAL     4096

* Return codes
#DEFINE IDOK                  1
#DEFINE IDCANCEL              2
#DEFINE IDABORT               3
#DEFINE IDRETRY               4
#DEFINE IDIGNORE              5
#DEFINE IDYES                 6
#DEFINE IDNO                  7

m.lnChoice = DoMsgbox('Quantity exceeds the set maximum for this printer. ' + CHR(13) ;
                         + 'Do you wish to use it anyway?', ;
                      'Max Quantity Exceeded', ;
                       MB_YESNO + MB_2DEFBUTTON + MB_ICONQUESTION)
     
m.lnChoice = DoMsgbox('Labels have been staged but not printed.  Exit without printing?', ;
                         '', ;
                          MB_OKCANCEL + MB_ICONQUESTION)

m.lnChoice = DoMsgbox('Please enter A, P or T.', ;
                         'Invalid option chosen', ;
                          MB_OK)

m.lnChoice = DoMsgbox('Application will shut down.  Contact system administrator.', ;
                         'Unrecoverable error', ;
                          MB_OK + MB_SYSTEMMODAL)

